> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 列出 DNS 记录

> 使用标准分页信封列出客户 DNS 记录。

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.zh-cn.json GET /v1/public/accounts/{account_id}/dns-records
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/dns-records:
    get:
      tags:
        - public-accounts
        - public-dns-records
      summary: 列出 DNS 记录
      description: 使用标准分页信封列出客户 DNS 记录。
      operationId: list_public_dns_records_v1_public_accounts__account_id__dns_records_get
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: query
          name: domain
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Domain
        - in: query
          name: name
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Name
        - in: query
          name: type
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Type
        - in: query
          name: page
          required: false
          schema:
            default: 1
            title: Page
            type: integer
        - in: query
          name: page_size
          required: false
          schema:
            default: 25
            title: Page Size
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DnsRecordListResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 验证错误
      security:
        - PublicBearerAuth: []
components:
  schemas:
    DnsRecordListResponse:
      properties:
        items:
          items:
            $ref: '#/components/schemas/DnsRecordResponse'
          title: 项目
          type: array
        page:
          title: 页面
          type: integer
        page_size:
          title: 页面大小
          type: integer
        total:
          title: 总计
          type: integer
      required:
        - items
        - page
        - page_size
        - total
      title: DnsRecordListResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: 详情
          type: array
      title: HTTPValidationError
      type: object
    DnsRecordResponse:
      properties:
        id:
          title: ID
          type: integer
        is_system_managed:
          default: false
          title: 由系统管理
          type: boolean
        name:
          title: 名称
          type: string
        priority:
          anyOf:
            - type: integer
            - type: 'null'
          title: 优先级
        ttl:
          title: TTL
          type: integer
        type:
          title: 类型
          type: string
        value:
          title: 值
          type: string
      required:
        - id
        - type
        - name
        - value
        - ttl
      title: DnsRecordResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: 位置
          type: array
        msg:
          title: 消息
          type: string
        type:
          title: 错误类型
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````